Commit 2d6a26b6 authored by KitaitiMakoto's avatar KitaitiMakoto

Raise error from Searcher#search_element if Nokogiri is not available

parent c0f90096
......@@ -71,6 +71,8 @@ module EPUB
element: elem
}
end
rescue LoadError
raise "#{self.class}##{__method__} requires Nokogiri gem for now. Install Nokogiri and then try again."
end
results
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment